package com.sinosig.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.client.model.ISYXBJ;
import com.sinosig.util.SearchContext;

/**
 * 实体[SYXBJ] 服务对象接口
 */
public interface ISYXBJClientService{

    public ISYXBJ createModel() ;

    public Page<ISYXBJ> fetchDefault(SearchContext context);

    public void get(ISYXBJ syxbj);

    public Page<ISYXBJ> select(SearchContext context);

    public void save(ISYXBJ syxbj);

    public void remove(ISYXBJ syxbj);

    public void getDraft(ISYXBJ syxbj);

    public void checkKey(ISYXBJ syxbj);

    public void update(ISYXBJ syxbj);

    public void create(ISYXBJ syxbj);

}
